Bug 309651 - f7: mkinitrd doesn't include nosegneg libraries for xen initrd
f7: mkinitrd doesn't include nosegneg libraries for xen initrd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 15:02 EDT by Eduardo Habkost
Modified: 2008-04-25 07:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 02:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2007-09-27 15:02:23 EDT
The problem reported on bug #244730 is present on Fedora 7.


+++ This bug was initially created as a clone of Bug #244730 +++

As reported on bug #243756 (comment #14), the initrd generated for xen kernels 
is not including the nosegneg libraries, that are required when running xen 
kernels.

There is code on mkinitrd that is supposed to always use the nosegneg 
libraries, but it is not working. The following snipped is from 
mkinitrd-6.0.9-7.

# Prefer nosegneg libs over direct segment accesses on i686.
if [ -f "$LIBDIR/i686/nosegneg/$BASE" ]; then
   FILE="$LIBDIR/i686/nosegneg/$BASE"
[...]


Not using the nosegneg libraries may cause the "4gb seg fixup" messages 
reported on bug #215201.

This bug is probably present on Fedora Core 6 and Fedora 7, also.

-- Additional comment from ehabkost@redhat.com on 2007-06-18 16:20 EST --
Created an attachment (id=157323)
New version of mkinitrd-6.0.9-nosegneg.patch that fixes the problem


-- Additional comment from pjones@redhat.com on 2007-07-31 17:10 EST --
Modified in mkinitrd-6.0.10-1 .
Comment 1 Warren Togami 2007-12-01 12:30:05 EST
I am sorry, pjones said there will be no backporting of this to F7 mkinitrd.

I am curious, does having nosegneg in the initrd have any effect *after* initrd?
 Doesn't this only make the initrd part less noisy and slightly faster?
Comment 2 mail@romal.de 2008-04-25 02:09:36 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Maintenance for Fedora 7 ends 90 days after release of Fedora 9.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.